Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl.crammd5
Interface CramMD5Registry

public interface CramMD5Registry

A list of properties common to CRAM-MD5 classes.

Field Summary
`static java.lang.String` | `DEFAULT_PASSWORD_FILE` Default password file (used by the server) pathname.
`static java.lang.String` | `DIR_FIELD` Name of the DIR field in the plain password file.
`static java.lang.String` | `GECOS_FIELD` Name of the GECOS field in the plain password file.
`static java.lang.String` | `GID_FIELD` Name of the GID field in the plain password file.
`static java.lang.String` | `PASSWORD_FILE` Name of the password file (used by the server) property.
`static java.lang.String` | `SHELL_FIELD` Name of the SHELL field in the plain password file.
`static java.lang.String` | `UID_FIELD` Name of the UID field in the plain password file.

Field Detail

### PASSWORD_FILE

    public static final java.lang.String PASSWORD_FILE

  Name of the password file (used by the server) property.

  See Also:
    Constant Field Values

### DEFAULT_PASSWORD_FILE

    public static final java.lang.String DEFAULT_PASSWORD_FILE

  Default password file (used by the server) pathname.

  See Also:
    Constant Field Values

### UID_FIELD

    public static final java.lang.String UID_FIELD

  Name of the UID field in the plain password file.

  See Also:
    Constant Field Values

### GID_FIELD

    public static final java.lang.String GID_FIELD

  Name of the GID field in the plain password file.

  See Also:
    Constant Field Values

### GECOS_FIELD

    public static final java.lang.String GECOS_FIELD

  Name of the GECOS field in the plain password file.

  See Also:
    Constant Field Values

### DIR_FIELD

    public static final java.lang.String DIR_FIELD

  Name of the DIR field in the plain password file.

  See Also:
    Constant Field Values

### SHELL_FIELD

    public static final java.lang.String SHELL_FIELD

  Name of the SHELL field in the plain password file.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.